nl.topicus.jdbc

## Interface ICloudSpannerConnection

All Superinterfaces:
  AutoCloseable, Connection, Wrapper

All Known Implementing Classes:
  AbstractCloudSpannerConnection, CloudSpannerConnection

    public interface ICloudSpannerConnection
    extends Connection

Interface containing all extra methods that are provided by CloudSpannerConnection

Author:
  loite

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClientId()`
`com.google.cloud.Timestamp` `getLastCommitTimestamp()`
`String` `getProductName()`
`Properties` `getSuppliedProperties()`
`String` `getUrl()`
`boolean` `isAllowExtendedMode()`
`void` `setSimulateProductName(String productName)`

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getUrl

    String getUrl()

#### getProductName

    String getProductName()

#### setSimulateProductName

    void setSimulateProductName(String productName)

#### getSuppliedProperties

    Properties getSuppliedProperties()

#### isAllowExtendedMode

    boolean isAllowExtendedMode()

#### getClientId

    String getClientId()

#### getLastCommitTimestamp

    com.google.cloud.Timestamp getLastCommitTimestamp()